Package org.drinkless.tdlib

# Class TdApi.StoryAreaPosition

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryAreaPosition

Enclosing class:
  `TdApi`

public static class TdApi.StoryAreaPosition extends TdApi.Object
Describes position of a clickable rectangle area on a story media.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `double`
  `cornerRadiusPercentage`
  The radius of the rectangle corner rounding, as a percentage of the media width.
  `double`
  `heightPercentage`
  The height of the rectangle, as a percentage of the media height.
  `double`
  `rotationAngle`
  Clockwise rotation angle of the rectangle, in degrees; 0-360.
  `double`
  `widthPercentage`
  The width of the rectangle, as a percentage of the media width.
  `double`
  `xPercentage`
  The abscissa of the rectangle's center, as a percentage of the media width.
  `double`
  `yPercentage`
  The ordinate of the rectangle's center, as a percentage of the media height.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryAreaPosition()`
  Describes position of a clickable rectangle area on a story media.
  `StoryAreaPosition(double xPercentage, double yPercentage, double widthPercentage, double heightPercentage, double rotationAngle, double cornerRadiusPercentage)`
  Describes position of a clickable rectangle area on a story media.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### xPercentage

    public double xPercentage
    The abscissa of the rectangle's center, as a percentage of the media width.

  - ### yPercentage

    public double yPercentage
    The ordinate of the rectangle's center, as a percentage of the media height.

  - ### widthPercentage

    public double widthPercentage
    The width of the rectangle, as a percentage of the media width.

  - ### heightPercentage

    public double heightPercentage
    The height of the rectangle, as a percentage of the media height.

  - ### rotationAngle

    public double rotationAngle
    Clockwise rotation angle of the rectangle, in degrees; 0-360.

  - ### cornerRadiusPercentage

    public double cornerRadiusPercentage
    The radius of the rectangle corner rounding, as a percentage of the media width.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryAreaPosition

    public StoryAreaPosition()
    Describes position of a clickable rectangle area on a story media.

  - ### StoryAreaPosition

    public StoryAreaPosition(double xPercentage, double yPercentage, double widthPercentage, double heightPercentage, double rotationAngle, double cornerRadiusPercentage)
    Describes position of a clickable rectangle area on a story media.
    Parameters:
      `xPercentage` - The abscissa of the rectangle's center, as a percentage of the media width.
      `yPercentage` - The ordinate of the rectangle's center, as a percentage of the media height.
      `widthPercentage` - The width of the rectangle, as a percentage of the media width.
      `heightPercentage` - The height of the rectangle, as a percentage of the media height.
      `rotationAngle` - Clockwise rotation angle of the rectangle, in degrees; 0-360.
      `cornerRadiusPercentage` - The radius of the rectangle corner rounding, as a percentage of the media width.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR